summaryrefslogtreecommitdiff
path: root/arm-unknown-riscos/fetchsrc
diff options
context:
space:
mode:
authorChris Young <chris@unsatisfactorysoftware.co.uk>2018-08-08 17:33:20 +0100
committerChris Young <chris@unsatisfactorysoftware.co.uk>2018-08-08 17:33:20 +0100
commit893d5d1f193af671dc30d9a023f0986932ce8e20 (patch)
tree070afc4d369e639be890fac973a578b9c182731c /arm-unknown-riscos/fetchsrc
parent3da666dfb511af5c936e2f253e0ea8c3e22a7a30 (diff)
parenta6cd4d1e9f3ac2eb6e729c20b589227549eba42e (diff)
downloadtoolchains-chris/http2.tar.gz
toolchains-chris/http2.tar.bz2
Merge branch 'master' of git://git.netsurf-browser.org/toolchains into chris/http2chris/http2
Diffstat (limited to 'arm-unknown-riscos/fetchsrc')
-rwxr-xr-xarm-unknown-riscos/fetchsrc16
1 files changed, 16 insertions, 0 deletions
diff --git a/arm-unknown-riscos/fetchsrc b/arm-unknown-riscos/fetchsrc
new file mode 100755
index 0000000..e71d85f
--- /dev/null
+++ b/arm-unknown-riscos/fetchsrc
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# script to fetch toolchain source tar using ci.netsurf-browser.org as a cache
+
+# Usage fetchsrc <target> <source> <upstream> <output>
+
+NSSRV="http://ci.netsurf-browser.org/toolchain/"
+
+wget -q -O ${4} ${NSSRV}/${1}/${2}
+if [ $? -ne 0 ];then
+ wget -q -O ${4} ${3}
+ if [ $? -ne 0 ];then
+ rm ${4}
+ exit 1
+ fi
+fi